Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163436 - snmpd fails to start with SELinux targeted enforced
Summary: snmpd fails to start with SELinux targeted enforced
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-16 15:25 UTC by Razvan Sandu
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.25.4-10.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-15 15:59:57 UTC


Attachments (Terms of Use)

Description Razvan Sandu 2005-07-16 15:25:00 UTC
Description of problem:
On FC3 + "official" updates, the snmpd daemon fails to start when selinux 
targeted is enforced - this breaks snmp reporting to a distant mrtg server.

snmpd used to work OK on this system until some (automatic) update and 
continues to do so if we do a "setenforce 0".

[root@example ~]# service snmpd start
Starting snmpd: /usr/sbin/snmpd: error while loading shared libraries: 
libbeecrypt.so.6: cannot enable executable stack as shared object requires: 
Permission denied
                                                           [FAILED]
[root@example ~]#


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-3.16
beecrypt-3.1.0-6 
net-snmp-5.2.1.2-FC3.1


How reproducible:


Steps to Reproduce:
1. Install a full Fedora Core 3 + updates as for July 15th,2005, with SELinux 
policy targeted enforced (as default).
2. Make sure you have a valid /etc/snmp/snmpd.conf file
3. Do a service snmpd start.
  

Actual results:
snmpd doesn't start when "setenforce 1".
snmpd DO start when "setenforce 0".


Expected results:
snmpd should start when "setenforce 1".

Additional info:

Comment 1 Daniel Walsh 2005-07-20 03:46:17 UTC
execstack -c libbeecrypt.so.6:


Note You need to log in before you can comment on or make changes to this bug.